function DATAinsert = cellMakerSPP(IDcentralina,DTcatena,NodeNum,ListaDate,...
    ARRAYdateSPP,SPP,cSPP)

l = ListaDate;
DATAinsert = cell(l,6);

for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateSPP(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateSPP(ii),'HH:MM:SS');
    DATAinsert{ii,6} = SPP(ii,cSPP);
end

end